static char defined_rcsid[]="$Id: defined.c,v 1.1.1.1 1997/04/10 15:10:31 green Exp $";

/*----------------------------------------------------
 * defined.c Tom Green Mon Jan 31 10:42:35 1994
 *
 * Copyright 1993
 *
 * SUPER COMPUTER COMPUTATIONS RESEARCH INSTITUTE
 *            FLORIDA STATE UNIVERSITY
 *
 *
 * SCRI representatives make no claims about the
 * suitability of this software for any purpose.
 * It is provided "as is" without express or
 * implied warranty.
 *
 * $Log: defined.c,v $
 * Revision 1.1.1.1  1997/04/10 15:10:31  green
 * DQS 3.1.3.4.1 Distribution
 *
 * Revision 3.4  1996/11/20 23:03:07  nrl
 * Several fixes submitted by or as a result of investigations by
 * Ron Lee, Bodo Bechenback, Guntram Wolski and Frank Dwyyer.
 *
 * Revision 3.3  1995/05/29  18:08:46  nrl
 * More solaris stuff GAGGHH had to differentiate more cases of
 * solaris2.3 and solaris2.4 stuff
 *
 * Revision 3.2  1994/06/02  13:44:28  green
 * attempt to port to Sloaris...
 * Work In Progress(WIPed)
 *
 * Revision 3.1  1994/05/31  12:03:47  green
 * some OSes define MAXNAMELEN - some don't
 * handled with an ifndef in def.h
 *
 * removed "#include "h.h"" in defined.c
 *
 * yanked ANSI prototyping in dsh.c/dshd.c as some(sic) C compilers can't
 * swallow them
 *
 * #ifdef'ed fcntl(F_SETOWN) out for HPUX in dsh.c as HPUX doesn't define
 * it
 *
 * #ifdef'ed "#include <sys/select.h>" out of h.h #ifdefed
 * __hpux/bsd_4_2/SVR3/__osf__.(taken care of in types.h in most of
 * these.)
 *
 * Revision 3.0  1994/03/07  04:13:04  green
 * 3.0 freeze
 *
 * Revision 1.3  1994/02/24  01:10:03  green
 * added default compile flags in Makefile.proto
 *
 * modified GETPGRP() and SETPGRP() in def.h for IRIX 5.1.1.1 support
 *
 * changed "st_mtime" to "st_m_time" in dqs_reauth.cand dqs_sec.c
 * for IRIX 5.1.1.1 support
 *
 * Revision 1.2  1994/02/24  00:03:54  green
 * changed the variable "st_mtime" to "st_m_time" as IRIX 5.1.1
 * couldn't digest "st_mtime"
 *
 * tried to figure out what IRIX 5.1.1 thinks it is in defined.c
 * couldn't - but apparently IRIX doesn't consider itself SV anymore...
 *
 * Revision 1.1.1.1  1994/02/01  17:57:36  green
 * DQS 3.0 ALPHA
 *
 *--------------------------------------------------*/

 
main()
{
   
#ifdef ultrix
   printf("ultrix defined\n");
#endif
   
#ifdef __alpha
   printf("__alpha defined\n");
#endif
   
#ifdef bsd4_2
   printf("bsd4_2 defined\n");
#endif
   
#ifdef bsd4_1
   printf("bsd4_1 defined\n");
#endif
   
#ifdef VAX
   printf("VAX defined\n");
#endif
   
#ifdef vax
   printf("vax defined\n");
#endif
   
#ifdef unix
   /* ULTRIX SVR3 SunOS */
   printf("unix defined\n");
#endif
   
#ifdef sun
   /* SunOs */
   printf("sun defined\n");
#endif

#ifdef solaris
   /* SunOs */
   printf("solaris defined\n");
#endif
   
#ifdef mips
   /* DECstation IRIS4d */
   printf("mips defined\n");
#endif
   
#ifdef SVR3
   /* IRIS4D */
   printf("SVR3 defined\n");
#endif
   
#ifdef _SVR3
   /* IRIS4D */
   printf("_SVR3 defined\n");
#endif
   
#ifdef SVR4
   printf("SVR4 defined\n");
#endif
   
#ifdef __svr4__
   printf("__svr4__ defined\n");
#endif

#ifdef _SVR4
   printf("_SVR4 defined\n");
#endif

#ifdef _SVR5
   printf("_SVR5 defined\n");
#endif
   
#ifdef SGI_SVR4
   printf("SGI_SVR4 defined\n");
#endif

#ifdef _SVR4
   printf("_SVR4 defined\n");
#endif

#ifdef _AIX
   /* IRIS4D */
   printf("_AIX defined\n");
#endif
   
#ifdef NeXT
   printf("NeXT defined");
#endif
   
#ifdef __MACH__
   /* NeXT */
   printf("__MACH__ defined\n");
#endif
   
#ifdef MACH
   printf("MACH defined\n");
#endif
   
#ifdef i386
   printf("i386 defined\n");
#endif
   
#ifdef CMUCS
   printf("CMUCS defined\n");
#endif
   
#ifdef mc68000
   printf("mc68000 defined\n");
#endif
   
#ifdef __stdc__
   printf("__stdc__ defined\n");
#endif
   
#ifdef __STDC__
   printf("__STDC__ defined\n");
#endif
   
#ifdef ansi
   printf("ansi defined\n");
#endif
   
#ifdef ANSI
   printf("ANSI defined\n");
#endif
   
#ifdef __hpux
   printf("__hpux defined\n");
#endif
   
#ifdef __hp9000s700
   printf("__hp9000s700 defined\n");
#endif
   
#ifdef __hp9000s800
   printf("__hp9000s800 defined\n");
#endif
   
#ifdef __hppa
   printf("__hppa defined\n");
#endif
   
#ifdef sparc
   printf("sparc defined\n");
#endif
   
#ifdef _osf_
   printf("_osf_ defined\n");
#endif
   
#ifdef __osf__
   printf("__osf__ defined\n");
#endif
   
#ifdef _UNICOS
   printf("_UNICOS defined\n");
#endif

#ifdef __sgi
   printf("__sgi defined\n");
#endif

#ifdef __cg92_libc
   printf("__cg92_libc defined\n");
#endif
   
#ifdef __cg89_libc
   printf("__cg89_libc defined\n");
#endif

}

